php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #6579 compile error with oracle 7230 on AIX4.2
Submitted: 2000-09-06 11:12 UTC Modified: 2001-06-12 17:25 UTC
From: vogelsanger at hotmail dot com Assigned:
Status: Closed Package: Oracle related
PHP Version: 4.0 Latest CVS (06/09/2000) OS: AIX 4.2
Private report: No CVE-ID: None
 [2000-09-06 11:12 UTC] vogelsanger at hotmail dot com

When trying to compile PHP on Apache 1.3.4 
with the oracle option
(--with-oracle=/opt/oracle/v7230) 
i get a compiler error




        /bin/sh ../libtool --silent --mode=link cc  -g  -o libZend.la  -ldl -locic /opt/oracle/v7230/lib/osntab.o 
-lsqlnet -lora -lsqlnet 
-lora -lnlsrtl3 -lc3v6 -lnlsrtl3 -lcore3 -lm -lld -lm -lm 
-ldl zend-parser.lo zend_alloc.lo zend_compile.lo  zend_constants.lo zend_dynamic_array.lo zend_execute.lo  zend_execute_API.lo zend_highlight.lo zend_llist.lo zend_opcode.lo  zend_operators.lo zend_ptr_stack.lo zend_stack.lo zend_variables.lo  zend.lo zend_API.lo zend_extensions.lo zend_hash.lo zend_list.lo  zend_indent.lo zend_builtin_functions.lo zend_sprintf.lo libZend_c.la libZend_gcc.la
libtool: link: cannot build libtool library `libZend.la' from non-libtool objects: /opt/oracle/v7230/lib/osntab.o
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 1.


Stop.



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-12-18 11:02 UTC] sniper@php.net
Does this happen with latest snapshot from http://snaps.php.net/ ??

--Jani
 [2000-12-20 09:42 UTC] vogelsanger at hotmail dot com
I will try it after new year
with the latest snapshot

--silvan
 [2001-01-03 11:02 UTC] vogelsanger at hotmail dot com
Happens with latest snapshot(03.01.2001) too.

 [2001-01-07 04:09 UTC] sniper@php.net
I forgot to ask, does it compile WITHOUT --with-oracle??

--Jani

 [2001-01-09 07:34 UTC] vogelsanger at hotmail dot com
I was able to compile without the --with-oracle option.
 [2001-05-23 06:20 UTC] sniper@php.net
Does this still break? And I just wondered..is that oracle
path you are using the INSTALL path of oracle?

--Jani

 [2001-06-12 17:25 UTC] sniper@php.net
No feedback. Consider updating your Oracle client.

--Jani

 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Jan 18 10:01:24 2021 UTC